> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stablestack.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get by Reference ID

> API reference for fetching a transaction by Reference ID

Retrieves detailed information about a specific transaction using its unique reference ID.

### Key Features:

* Returns complete transaction details including sender/receiver information
* Provides status and timestamp information
* Includes all relevant financial details (amount, fees, exchange rate)
* Shows transaction type and mode
* Returns bank details for payout transactions

### Path Parameters:

* `reference_id`: The unique reference ID to retrieve (string, required).
  e.g `980ddbf6-b145-4d43-bd13-93b05cc202a2`


## OpenAPI

````yaml GET /customers/transactions/by_ref_id/{reference_id}
openapi: 3.0.0
info:
  title: 'StableStack: API Service'
  description: "# Overview\n\n##  Introduction\n\nStableStack offers an API first, last mile payment orchestration + liquidity router built with stablecoins. Stablecoin layer integrated into your existing payment flow, with smart accounts and blockchain abstraction. Go between digital and fiat currencies in minutes.\n\n## Getting Help\n\nWe're excited to have you build with us! If you're integrating, we will set up a communication channel. This will enable our teams to easily collaborate and ensure you launch as quickly as possible.\n\nPlease reach out to us at\_[hello@stablestack.xyz](https://mailto:hello@stablestack.xyz)\_for any questions or concerns."
  version: 1.0.0
servers:
  - url: https://api-staging.stablestack.com/api
    description: StableStack API
security: []
tags:
  - name: customers
  - name: customers > kyc
  - name: payouts
  - name: banks
  - name: transactions
  - name: wallets
  - name: assets
  - name: swap
paths:
  /customers/transactions/by_ref_id/{reference_id}:
    get:
      tags:
        - transactions
      summary: Fetch transactions by reference ID
      description: Retrieves all transactions associated with a specific reference ID
      parameters:
        - name: x-api-key
          in: header
          schema:
            type: string
          required: true
          example: ''
        - name: reference_id
          in: path
          schema:
            type: string
          required: true
          example: 980ddbf6-b145-4d43-bd13-93b05cc202a2
      responses:
        '200':
          description: Transactions retrieved successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    example: success
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                          format: uuid
                          example: 790ddbf6-b145-4d43-bd13-93b05cc202a2
                        sender_wallet_id:
                          type: string
                          format: uuid
                          nullable: true
                          example: 6684cc88-7434-4a0e-bc2c-abee383368b7
                        receiver_wallet_id:
                          type: string
                          format: uuid
                          nullable: true
                        transaction_id:
                          type: string
                          example: X2APAWCOE6
                        asset_code:
                          type: string
                          example: USDC
                        amount:
                          type: string
                          example: '1.00000000'
                        reference_id:
                          type: string
                          example: 980ddbf6-b145-4d43-bd13-93b05cc202a2
                        status:
                          type: string
                          example: COMPLETED
                        created_at:
                          type: string
                          format: date-time
                        updated_at:
                          type: string
                          format: date-time
                        crypto_transaction_id:
                          type: string
                          nullable: true
                        network:
                          type: string
                          nullable: true
                        transaction_type:
                          type: string
                          example: INTERNAL TRANSFER
                        transaction_mode:
                          type: string
                          example: DEBIT
                        exchange_rate:
                          type: string
                          nullable: true
                        withdrawal_recipient_name:
                          type: string
                          nullable: true
                        fee:
                          type: string
                          nullable: true
                        balance:
                          type: string
                          example: '0.00000000'
                        reason:
                          type: string
                          nullable: true
                        customer_id:
                          type: string
                          format: uuid
                          nullable: true
                        recipient_currency:
                          type: string
                          nullable: true
                        recipient_country:
                          type: string
                          nullable: true
                        bank_name:
                          type: string
                          nullable: true
                        bank_code:
                          type: string
                          nullable: true
                        address:
                          type: string
                          nullable: true
                        bank_account:
                          type: string
                          nullable: true
              examples:
                success:
                  value:
                    status: success
                    data:
                      - id: 790ddbf6-b145-4d43-bd13-93b05cc202a2
                        sender_wallet_id: 6684cc88-7434-4a0e-bc2c-abee383368b7
                        receiver_wallet_id: null
                        transaction_id: X2APAWCOE6
                        asset_code: USDC
                        amount: '1.00000000'
                        reference_id: 980ddbf6-b145-4d43-bd13-93b05cc202a2
                        status: COMPLETED
                        created_at: '2025-04-02T22:06:03.507Z'
                        updated_at: '2025-04-02T22:06:03.507Z'
                        crypto_transaction_id: null
                        network: null
                        transaction_type: INTERNAL TRANSFER
                        transaction_mode: DEBIT
                        exchange_rate: null
                        withdrawal_recipient_name: null
                        fee: null
                        balance: '0.00000000'
                        reason: null
                        customer_id: null
                        recipient_currency: null
                        recipient_country: null
                        bank_name: null
                        bank_code: null
                        address: null
                        bank_account: null
        '400':
          description: Invalid reference ID
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    example: error
                  message:
                    type: string
                    example: Invalid reference ID format
                  code:
                    type: string
                    example: INVALID_REFERENCE_ID
        '404':
          description: No transactions found
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    example: error
                  message:
                    type: string
                    example: No transactions found with this reference ID
                  code:
                    type: string
                    example: TRANSACTIONS_NOT_FOUND

````